Page MenuHomePhabricator

[mlir][linalg] Memoize indexing map generation.
Needs ReviewPublic

Authored by stellaraccident on Feb 26 2021, 6:13 PM.
This revision needs review, but all reviewers have resigned.

Details

Reviewers
nicolasvasilache

Diff Detail

Unit TestsFailed

TimeTest
50 msx64 debian > Flang.Semantics::resolve102.f90
Script: -- : 'RUN: at line 1'; /mnt/disks/ssd0/agent/llvm-project/flang/test/Semantics/test_errors.sh /mnt/disks/ssd0/agent/llvm-project/flang/test/Semantics/resolve102.f90 /mnt/disks/ssd0/agent/llvm-project/build/tools/flang/test/Semantics/Output/resolve102.f90.tmp /mnt/disks/ssd0/agent/llvm-project/build/bin/f18 -intrinsic-module-directory /mnt/disks/ssd0/agent/llvm-project/build/tools/flang/include/flang

Event Timeline

stellaraccident requested review of this revision.Feb 26 2021, 6:13 PM
nicolasvasilache accepted this revision.Feb 27 2021, 2:11 PM
nicolasvasilache added inline comments.
mlir/tools/mlir-linalg-ods-gen/mlir-linalg-ods-yaml-gen.cpp
654

I expect this will show up in the printed form?
If so, can we expose the magic string as some static method and make the printer elide it?

This revision is now accepted and ready to land.Feb 27 2021, 2:11 PM

Address comments.

stellaraccident added inline comments.Mar 1 2021, 9:16 PM
mlir/tools/mlir-linalg-ods-gen/mlir-linalg-ods-yaml-gen.cpp
654

While this is split across generators, it is hard to do generically. I just added it to the elidedAttributes in the printer explicitly for now.

Can you provide more context in the description?

nicolasvasilache resigned from this revision.Jul 28 2021, 2:17 AM

IANM this functionality has now landed as part of another revision.

This revision now requires review to proceed.Jul 28 2021, 2:17 AM